#include <unistd.h>
#include "sgetopt.h"
#include "strerr2.h"
#include "djbunix.h"
#include "execline.h"

char const *PROG = "tryexec" ;
#define USAGE "tryexec [ -n ] ~command... ; [ fallback... ]"

int main (int argc, char const **argv, char const *const *envp)
{
  int argc1 ;
  unsigned char not = 0 ;
  {
    register int opt ;
    while ((opt = subgetopt(argc, argv, "n")) != opteof)
      switch (opt)
      {
        case 'n' : not = 1 ; break ;
        default : strerr_dieusage(100, USAGE) ;
      }
    argc -= optind ;
    argv += optind ;
  }
  argc1 = el_semicolon(argv) ;
  if (argc1 >= argc) strerr_dief1x(100, "unterminated block") ;
  argv[argc1] = 0 ;
  pathexec0_run(not ? argv+argc1+1 : argv, envp) ;
  pathexec0_run(not ? argv : argv+argc1+1, envp) ;
  strerr_dieexec(111, argv[not ? 0 : argc1+1]) ;
}
